QGIS Application - Bug report #15142

regression: customizing color of a {graduated,categorized} item fails

2016-06-26 07:45 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23081

Description

Under master, customizing (after classification) the fill color of a categorized or graduated item fails.

Steps to reproduce
1. Create a new project
2. Add a polygon dataset

3. Set its symbology to graduated (or categorized), select a field and hit classify

4. Double click on one of the classified item to edit the symbol
5. Change the color fill
6. Notice color fails to update to the changed color

Associated revisions

Revision 45b87833 - 2016-06-27 07:11 AM - Nyall Dawson

Fix cannot change color of class symbols (fix #15142)

History

#1 - 2016-06-26 10:12 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"45b878331cffa433f051889edc832f3fcf0e098f".
